Bug 1272733 - Gnome session crash pretty often. Several times per week
Gnome session crash pretty often. Several times per week
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 04:34 EDT by Kirill Berezin
Modified: 2016-07-19 15:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:20:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
It were ~10:48 for last time (159.35 KB, text/x-vhdl)
2015-10-18 04:34 EDT, Kirill Berezin
no flags Details
dnf instailed report (161.98 KB, text/plain)
2015-10-18 04:48 EDT, Kirill Berezin
no flags Details
two crashes journalctl (403.94 KB, text/x-vhdl)
2015-10-21 02:36 EDT, Kirill Berezin
no flags Details
third crash for today. 30 minutes c-c-ombo (105.75 KB, text/x-vhdl)
2015-10-21 02:37 EDT, Kirill Berezin
no flags Details
I found - first crash for today (106.92 KB, text/x-vhdl)
2015-10-21 02:42 EDT, Kirill Berezin
no flags Details
And fourth crash for today (65.04 KB, text/x-vhdl)
2015-10-21 02:42 EDT, Kirill Berezin
no flags Details
Just now (49.53 KB, text/x-vhdl)
2015-10-21 02:51 EDT, Kirill Berezin
no flags Details
Crash again (147.02 KB, text/x-vhdl)
2015-10-21 16:45 EDT, Kirill Berezin
no flags Details
Just crashed again. 30 second sample (123.09 KB, text/x-vhdl)
2015-10-21 17:30 EDT, Kirill Berezin
no flags Details
Midnight crash (123.09 KB, text/x-vhdl)
2015-10-22 06:17 EDT, Kirill Berezin
no flags Details
Midnight second crash (126.89 KB, text/x-vhdl)
2015-10-22 06:18 EDT, Kirill Berezin
no flags Details

  None (edit)
Description Kirill Berezin 2015-10-18 04:34:28 EDT
Created attachment 1084105 [details]
It were ~10:48 for last time

Description of problem:
Well, i do not know what cause this. But no matter work typing i something in console, or afk for 10 minutes, using cpu/mem or its idle. I get gnome(or something) crash. Just black screen. Its not power save, because i do not see gnome login screen, instead i see black.
Then i making blind login (enter,password,enter), and everything work

How reproducible:
idk.

Steps to Reproduce:
sorry.

Actual results:
Session crash once or more per day. At least once each other day.

Expected results:
Smooth work as before.

Additional info:
I using 2 monitors(both become black). I installed dropbox, and then removed because it act strange. Skype, VBox, Telegram, Sublime. Zram. Everything else from repository. Btrfs rootfs on two devices. No graphic card drives instead of nouveau.
Comment 1 Kirill Berezin 2015-10-18 04:37:40 EDT
[kberezin@ynio ~]$ dnf list installed | egrep -i '(kernel|gdm|nvidia)'
abrt-addon-kerneloops.x86_64           2.6.1-5.fc22                     @updates
gdm.x86_64                             1:3.16.3-1.fc22                  @updates
kernel.x86_64                          4.1.8-200.fc22                   @updates
kernel.x86_64                          4.1.10-200.fc22                  @updates
kernel.x86_64                          4.2.3-200.fc22                   @updates
kernel-core.x86_64                     4.1.8-200.fc22                   @updates
kernel-core.x86_64                     4.1.10-200.fc22                  @updates
kernel-core.x86_64                     4.2.3-200.fc22                   @updates
kernel-devel.x86_64                    4.1.8-200.fc22                   @updates
kernel-devel.x86_64                    4.1.10-200.fc22                  @updates
kernel-devel.x86_64                    4.2.3-200.fc22                   @updates
kernel-headers.x86_64                  4.2.3-200.fc22                   @updates
kernel-modules.x86_64                  4.1.8-200.fc22                   @updates
kernel-modules.x86_64                  4.1.10-200.fc22                  @updates
kernel-modules.x86_64                  4.2.3-200.fc22                   @updates
libreport-plugin-kerneloops.x86_64     2.6.2-4.fc22                     @updates
pulseaudio-gdm-hooks.x86_64            6.0-8.fc22                       @updates
Comment 2 Kirill Berezin 2015-10-18 04:48 EDT
Created attachment 1084106 [details]
dnf instailed report
Comment 3 Kirill Berezin 2015-10-18 08:13:44 EDT
Sometime i meet that bug: i can't click anywhere in window, it just ignore that event. Like it loosed context with popup, or something. When i double press 'Command/Win' key, it cured.
I think it probably related.
Comment 4 Ray Strode [halfline] 2015-10-19 08:33:39 EDT
if you turn off fingerprint authentication does the session crashes go away?
Comment 5 Kirill Berezin 2015-10-20 02:40:31 EDT
I didn't had a single crash since bug report, which is weird.
But i disabled fingerprint anyway.
Comment 6 Kirill Berezin 2015-10-21 02:34:52 EDT
(In reply to Ray Strode [halfline] from comment #4)
> if you turn off fingerprint authentication does the session crashes go away?

No, got three another crashes.

- Chrome
- phantomjs
- transmission
Comment 7 Kirill Berezin 2015-10-21 02:36 EDT
Created attachment 1084993 [details]
two crashes journalctl

Sorry. I overwrited previous report. So there catched 2 crashes, i hope. One ~18 minutes ago, and next one ~5 minutes ago.
Comment 8 Kirill Berezin 2015-10-21 02:37 EDT
Created attachment 1084994 [details]
third crash for today. 30 minutes c-c-ombo
Comment 9 Kirill Berezin 2015-10-21 02:42:07 EDT
I also get noticed that firstly it crash into console mode. Where nothing printed, and cursor on 0:0. Like first moments of kernel loading.
Then in drops in black screen.

And when you using Alt+F3, Alt+F1, it do not return in black. It stuck on previous displayed information. For example, if i just was in console, and then switch to F1, i still see console. And blind login while looking at console.
Comment 10 Kirill Berezin 2015-10-21 02:42 EDT
Created attachment 1085019 [details]
I found - first crash for today
Comment 11 Kirill Berezin 2015-10-21 02:42 EDT
Created attachment 1085020 [details]
And fourth crash for today
Comment 12 Kirill Berezin 2015-10-21 02:51 EDT
Created attachment 1085021 [details]
Just now

Disabled transmission.

- VLC
- Chrome
- PhantomJS
Comment 13 Kirill Berezin 2015-10-21 14:51:38 EDT
Yeah, thats because PhantomJS. It crashes whole gnome.
Comment 14 Kirill Berezin 2015-10-21 14:58:19 EDT
Yeah, thats probably because of phantomjs. It was compiled for another system. And seems like when i disable it in crontab, gnome stop crashing.

https://storage.googleapis.com/exsul-net-private-links-temporary/october-2015/phantomjs

It executing as
./engine/phantomjs --disk-cache=true --max-disk-cache-size=100000 --load-images=false engine/get_stop.js in.file out.file
from apache user
Comment 15 Kirill Berezin 2015-10-21 16:45 EDT
Created attachment 1085326 [details]
Crash again

I was wrong. I disabled any phantomjs requests, and still got crash.

I am willing to collect and send any other data, if you will tell how. Now i am just using journalctl, maybe there is something common between them.
Comment 16 Kirill Berezin 2015-10-21 17:30 EDT
Created attachment 1085335 [details]
Just crashed again. 30 second sample
Comment 17 Kirill Berezin 2015-10-22 06:17 EDT
Created attachment 1085465 [details]
Midnight crash
Comment 18 Kirill Berezin 2015-10-22 06:18 EDT
Created attachment 1085466 [details]
Midnight second crash
Comment 19 Fedora End Of Life 2016-07-19 15:20:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.